Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.databinding
Class AttributeMap

`java.lang.Object
oracle.webservices.databinding.AttributeMap`

public class AttributeMap
extends Object

This class represents the anyAttribute wildcard elements of a schema. Each entry in an AttributeMap represents an attribute that may or may not have been explicitly defined in the schema. For example, the following schema element: <element name="SomeElement"> <complexType> <anyAttribute namespace="##other"/> </complexType> </element> When processed in WebServicesAssembler should produce the class "SomeElement" (by default). The SomeElement class will have the following methods to deal with anyAttribute schema elements: 1) getAttributes() 2) setAttributes(AttributeMap) The getAttributes method returns an AttributeMap object. The setAttributes sets a new AttributeMap to the element.

Since:
  10.1.3

Constructor Summary
`AttributeMap()` Creates a new AttributeMap object.

Method Summary
`Object` | `getAttribute(QName name)` Gets an attribute from this AttributeMap specified by its QName.
`Collection` | `names()` Get the list of valid QNames for all the attributes in this AttributeMap.
`Collection` | `names(String nsURI)` Get a list of valid QNames of the same namespace URI for all the attributes in this AttributeMap.
`void` | `setAttribute(QName name, Object attribute)` Adds an attribute to this AttributeMap or replace an existing attribute with the same QName.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeMap

    public AttributeMap()

  Creates a new AttributeMap object.

Method Detail

### getAttribute

    public Object getAttribute(QName name)

  Gets an attribute from this AttributeMap specified by its QName.
  Parameters:
    `name` - The qualified name of this attribute (namespace and local part)
  Returns:
    An object representing this attribute. This object is expected to be a String.

### setAttribute

    public void setAttribute(QName name,
                             Object attribute)

  Adds an attribute to this AttributeMap or replace an existing attribute with the same QName.
  Parameters:
    `name` - The qualified name of this attribute (namespace and local part)
    `attribute` - An object representing the value of this attribute. This object is expected to be a String.

### names

    public Collection names()

  Get the list of valid QNames for all the attributes in this AttributeMap.
  Returns:
    A collection of javax.xml.namespace.QName. Each QName is a unique key that is mapped to at most one attribute value.

### names

    public Collection names(String nsURI)

  Get a list of valid QNames of the same namespace URI for all the attributes in this AttributeMap.
  Parameters:
    `nsURI` - A namespace URI.
  Returns:
    A collection of javax.xml.namespace.QName. Each QName has the same namespace URI as the nsUri parameter and is mapped to at most one attribute value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD